Category : laradock

In my production server, my Laravel project should be able to check whether files exist in directories out of the scope of the project. For example, if the whole project is located under /var/www/myproject/ directory, files might be located under /var/shared/ directory. I would like to simulate it in my docker environment. When I execute ..

Read more

After installing Laradock,i don’t need to have mysql with mariadb together. i want to use mariadb instead. how can i delete this service from docker-compose? when i try to remove mysql from volumes and services i get this error: $ docker-compose up -d mariadb nginx phpmyadmin workspace ERROR: Service ‘phpmyadmin’ depends on service ‘mysql’ which ..

Read more

I’m trying to install pdftk for laradock (php-fpm and workspace), but pdftk is not found for Ubuntu 20.04. So I try to create a new container, but I don’t know how to call it from other containers, like php-fpm and workspace. # Dockerfile FROM ubuntu:16.04 USER root ARG TOP_LEVEL_DIR="pdftk" RUN apt-get update && apt-get -y ..

Read more

I’m trying to install python 2.7 since a few npm packages require 2.7 and are looking for the python executable path. in the .env I have: WORKSPACE_INSTALL_PYTHON=true WORKSPACE_INSTALL_PYTHON3=false but no matter what, python3 is found in /usr/bin and is executable via python3. python 2.7 is not installed This is in the workspace Dockerfile: ########################################################################### # ..

Read more

My Laravel docker environment stopped working today. After several tries I finally deleted all images and tried to rebuild environemt. I get the same error: + apt-get install -yqq apt-utils libzip-dev zip unzip E: Unable to correct problems, you have held broken packages. ERROR: Service ‘php-fpm’ failed to build: The command ‘/bin/sh -c set -xe; ..

Read more

My Laravel docker environment stopped working today. After several tries I finally deleted all images and tried to rebuild environemt. I get the same error: + apt-get install -yqq apt-utils libzip-dev zip unzip E: Unable to correct problems, you have held broken packages. ERROR: Service ‘php-fpm’ failed to build: The command ‘/bin/sh -c set -xe; ..

Read more